@echo off
REM   begin_generated_IBM_prolog                                          
REM                                                                       
REM   prolog.pro.samp.telcosp                                                 
REM   ******************************************************************  
REM   IBM Sample Source Materials                                         
REM                                                                       
REM   Sample source materials are supplied As-Is.                         
REM   No warranty is expressed or implied.                                
REM                                                                       
REM   Product(s): 5724-O05                                                
REM                                                                       
REM   (C)Copyright IBM Corp. 2000, 2006                                   
REM                                                                       
REM   The source code for this program supplied under the terms of the    
REM   End User License Agreement (EULA) that accompanied this product.    
REM   ******************************************************************  
REM                                                                       
REM   end_generated_IBM_prolog                                            

REM Version: 1.1.2.1
setlocal
cls

REM check database name
if "%1." == "."  goto nodbname
set dbname=%1

REM check user name
if "%2." == "."  goto nodbuser
set dbuser=%2

REM check password
if "%3." == "."  goto nodbpass
set dbpass=%3

REM check database territory
if "%4." == "." goto nodbter
set dbter=%4

REM check ddl file
if "%5." == "." goto nodbddl
set dbddl=%5

REM check database directory
if "%6." == "." goto nodbdir
set dbdir=%6

REM create the database
if "%7." == "." goto nocreate
set dbcreate=%7

REM menu flag
if "%8." == "." goto nomenuflag
set menuflag=%8


if (%menuflag%) == (FALSE) goto skipmenu
if (%menuflag%) == (false) goto skipmenu

@Echo .
@Echo . Server database name      : [ %dbname% ]
@Echo . Authorized user name      : [ %dbuser% ]
@Echo . Authorized user password  : [ %dbpass% ]
@Echo . Database territory code   : [ %dbter% ]
@Echo . Data Definition file      : [ %dbddl% ]
@Echo . Database Directory        : [ %dbdir% ]    
@Echo . Database (re)create       : [ %dbcreate% ]
@Echo . Menu flag                 : [ %menuflag% ]
@Echo .
@Echo . This should be run from a DB2 command line window.
@Echo . Look at comments inside this script on how to increase row size.
@Echo .
@Echo . Ready to drop and (re)create database [ %dbname% ] if (re)create is TRUE.
@Echo .
@Echo . The user name must be authorized by the database as DBADM.
@Echo .
@Echo . WARNING:  All data in database [ %dbname% ] will be destroyed.
@Echo .
pause
REM now we can execute
:skipmenu

REM
REM force DB2 to terminate all connections to the instance
REM
@Echo on
db2 force application all

@Echo off
if (%dbcreate%) == (TRUE) goto dropcreate
if (%dbcreate%) == (true) goto dropcreate

goto skipdropcreate
:dropcreate
@Echo on

db2 drop database %dbname%

db2 create database %dbname% using codeset UTF-8 territory %dbter% with \"WebSphere TWSS 6.1.0 Data\"

db2 connect to %dbname% user %dbuser% using %dbpass%
db2 grant DBADM on database to user %dbuser%
mkdir C:\db2tbs\%dbname%
db2 create bufferpool st8kbp size 10000 pagesize 8K
db2 create bufferpool st8ktempbp size 1000 pagesize 8K
db2 create tablespace st8kts pagesize 8k managed by system using ('C:\db2tbs\%dbname%\st8kts') bufferpool st8kbp
db2 create temporary tablespace st8ktempts pagesize 8k managed by system using ('C:\db2tbs\%dbname%\st8ktemp' ) bufferpool st8ktempbp

db2 alter bufferpool ibmdefaultbp size 10000
db2 create tablespace st4kts pagesize 4k managed by system using ('C:\db2tbs\%dbname%\st4kts') extentsize 256 prefetchsize 64 bufferpool ibmdefaultbp
db2 create tablespace st4kts2 pagesize 4k managed by system using ('C:\db2tbs\%dbname%\st4kts2') extentsize 256 prefetchsize 64 bufferpool ibmdefaultbp
db2 terminate

db2 update dbm cfg using health_mon off

db2 update db cfg for %dbname% using dbheap 8192
db2 update db cfg for %dbname% using logbufsz 2048
db2 update db cfg for %dbname% using app_ctl_heap_sz 4096
db2 update db cfg for %dbname% using sortheap 512
db2 update db cfg for %dbname% using applheapsz 2048
db2 update db cfg for %dbname% using num_iocleaners 3
db2 update db cfg for %dbname% using logfilsiz 5000
db2 update db cfg for %dbname% using logprimary 20
db2 update db cfg for %dbname% using logsecond 20
db2 update db cfg for %dbname% using MAXLOCKS 80 
db2 update db cfg for %dbname% using LOCKTIMEOUT 60 
db2 update db cfg for %dbname% using LOCKLIST 10000 
db2 update db cfg for %dbname% using MINCOMMIT 1 

db2 update db cfg for %dbname% using NUM_IOCLEANERS 11 
db2 update db cfg for %dbname% using NUM_IOSERVERS 10
db2stop
db2start

@Echo off
REM #######################################################################
REM 
REM    All columns (except CLOBs and BLOBs) must fit within the page size
REM    (default is 4K).  So if you need to increase column sizes, you may
REM    have to place the table in a tablespace with a larger page size.
REM    See the DB2 Administrator Guide for a more detailed explaination of
REM    the design rules and the DB2 SQL Reference for details of the
REM    command syntax.
REM 
REM    If you need to increase the maximum page size, to 8K for example,
REM    then you must uncomment the 'db2' commands in this section of comments.
REM    You can change the names of 'SRVPOOL' and 'SRVSPACE' to any valid name.
REM 
REM   *If you do use a different name, be SURE to do a global change in this
REM   *file.  It has long lines and SRVPOOL may not be visible everywhere!!!
REM 
REM    ** create bufferpool using 8K.  You can also use 16K or 32K.
REM    ** you will be prompted for the DB2 administrator password
REM 

db2 connect to %dbname% user %dbuser% using %dbpass%
db2 CREATE BUFFERPOOL SRVPOOL SIZE 250 PAGESIZE 8K
db2 terminate

REM 
REM    Terminate all access to the database before the SRVPOOL will be active.
REM 
REM    *****  Important  ****  Important  ****  Important  ****  Important **
REM    ** You will also need update the path in the tablespace command !!!
REM    ** The chosen path must be writable by the database end user's ID.
REM    ** Make sure that directory is empty.
REM    ** You will be prompted for the DB2 administrator password.
REM 

db2 connect to %dbname% user %dbuser% USING %dbpass%
db2 CREATE REGULAR TABLESPACE SRVSPACE PAGESIZE 8 K  MANAGED BY SYSTEM USING ('%dbdir%') EXTENTSIZE 32 OVERHEAD 24.1 PREFETCHSIZE 16 TRANSFERRATE 0.9 BUFFERPOOL SRVPOOL
db2 terminate

REM 
REM #######################################################################
    
REM #######################################################################
REM 
REM    *****  Important  ****  Important  ****  Important  ****  Important **
REM    If you are increasing the table row limit to 8K, then you
REM    will then need to add ' in SRVSPACE ' to the end of each 'create table'
REM    command that exists in the DDL file before running this script.
REM 
REM #######################################################################

:skipdropcreate
@Echo . 
@Echo . Now create the database tables.
@Echo . 
@Echo on

db2 connect to %dbname% user %dbuser% using %dbpass%

db2 -tvf %dbddl%

db2 terminate

@echo off
goto alldone

:nodbname
@Echo .
@Echo . No database name specified
@Echo .
goto usage

:nodbuser
@Echo .
@Echo . No database user specified for database access
@Echo .
goto usage

:nodbpass
@Echo .
@Echo . No database password specified for database access
@Echo .
goto usage

:nodbter
@Echo .
@Echo . No database territory code specified
@Echo .
goto usage

:nodbddl
@Echo .
@Echo . No database data definition language file specified
@Echo .
goto usage

:nodbdir
@Echo .
@Echo . No database directory specified
@Echo .
goto usage

:nocreate
@Echo .
@Echo . No database creation boolean specified
@Echo .
goto usage

:nomenuflag
@Echo .
@Echo . No menu flag boolean specified
@Echo .
goto usage

:usage
@Echo .
@Echo . Usage: crtsrvDb2.cmd dbname dbuser dbpass territory ddl dbdir create menuflag
@Echo .
@Echo . Where: dbname     the database name
@Echo .                   Recommended value is WPS_DB
@Echo .        dbuser     the userid of the authorized user (db2admin).
@Echo .        dbpass     The password for the dbuser
@Echo .        territory  any DB2 territory code: US, JP, CN, TW, Lat, etc.
@Echo .                   Recommended value is US
@Echo .        ddl        the path to the data definition language file
@Echo .                   Recommended value is the DDL file for each component
@Echo .        dbdir      the directory where the database files will be created.
@Echo .        create     should the database be recreated? TRUE to create, 
@Echo .                   FALSE (or other) to update
@Echo .                   Recommended value is "TRUE" to create the database, 
@Echo .        menuflag   indicates that the menu and interactive processing is done
@Echo .                   Specify TRUE for interactive processing.
@Echo .

:alldone
endlocal

