DROP TABLE "PUBLISH";
DROP TABLE "FULLDOC";
DROP TABLE "XPROVIDERS";
DROP TABLE "CONFIG";

------------------------------------------------
-- DDL Statements for table "CONFIG"
------------------------------------------------
 
 CREATE TABLE "CONFIG"  (
		  "KEY" VARCHAR(255) NOT NULL , 
		  "VALUE" VARCHAR(3500) NOT NULL );

------------------------------------------------
-- DDL Statements for table "PUBLISH"
------------------------------------------------
 
 CREATE TABLE "PUBLISH"  (
		  "PRESENCEID" VARCHAR(255) NOT NULL , 
		  "PRESENCETYPE" VARCHAR(100) , 
		  "SEGMENTID" VARCHAR(100) , 
		  "DOCTYPE" VARCHAR(100) , 
		  "DOCUMENT" CLOB ,
		  "EXPIRATION" INT );

------------------------------------------------
-- DDL Statements for table "FULLDOC"
------------------------------------------------
 
 CREATE TABLE "FULLDOC"  (
		  "PRESENCEID" VARCHAR(255) NOT NULL , 
		  "PRESENCETYPE" VARCHAR(100) NOT NULL , 
		  "DOCTYPE" VARCHAR(100) , 
		  "DOC_SMALL" VARCHAR(3000) , 
		  "DOCUMENT" CLOB , 
		  "VERSION" VARCHAR(100) );

-- DDL Statements for primary key on Table "FULLDOC"

ALTER TABLE "FULLDOC" 
	ADD PRIMARY KEY
		("PRESENCEID",
		 "PRESENCETYPE");

------------------------------------------------
-- DDL Statements for table "XPROVIDERS"
------------------------------------------------
 
 CREATE TABLE "XPROVIDERS"  (
		  "PRESENCEID" VARCHAR(255) NOT NULL , 
		  "PRESENCETYPE" VARCHAR(100) NOT NULL , 
		  "MANAGINGSERVER" VARCHAR(100) , 
		  "INTERESTEDSERVERS" VARCHAR(3000) , 
		  "VERSION" INT );

-- DDL Statements for primary key on Table "XPROVIDERS"

ALTER TABLE "XPROVIDERS"
	ADD PRIMARY KEY
		("PRESENCEID",
		 "PRESENCETYPE");

CREATE INDEX "PExp"
  ON "PUBLISH" ("EXPIRATION" ASC) ;

CREATE INDEX "PIDPTypePSEGID"
  ON "PUBLISH" ("PRESENCEID" ASC , "PRESENCETYPE" ASC ,"SEGMENTID" ASC) ;
  
CREATE INDEX "PFIDPType" 
  ON "FULLDOC" ("PRESENCEID" ASC, "PRESENCETYPE" ASC , "VERSION" ASC);

CREATE INDEX "XPI2"
  ON "XPROVIDERS" ("PRESENCEID" ASC, "PRESENCETYPE" ASC , "VERSION" ASC);


COMMIT WORK;

QUIT;
;
