@echo off
REM   begin_generated_IBM_prolog                                          
REM                                                                       
REM   prolog.pro.samp.telcosp                                                 
REM   ******************************************************************  
REM   IBM Sample Source Materials                                         
REM                                                                       
REM   Sample source materials are supplied As-Is.                         
REM   No warranty is expressed or implied.                                
REM                                                                       
REM   Product(s): 5724-O05                                                
REM                                                                       
REM   (C)Copyright IBM Corp. 2000, 2006                                   
REM                                                                       
REM   The source code for this program supplied under the terms of the    
REM   End User License Agreement (EULA) that accompanied this product.    
REM   ******************************************************************  
REM                                                                       
REM   end_generated_IBM_prolog                                            

REM Version: 1.1.2.1
setlocal
cls

REM check database name
if "%1." == "."  goto nodbname

REM check user name
if "%2." == "."  goto nodbuser

REM check user password
if "%3." == "."  goto nodbuserPW

REM check ddl file
if "%4." == "." goto nodbddl

REM check menu flag
if "%5." == "." goto nomenuflag

set dbname=%1
set dbuser=%2
set dbuserPW=%3
set dbddl=%4
set menuflag=%5

if (%menuflag%) == (FALSE) goto skipmenu
if (%menuflag%) == (false) goto skipmenu

@Echo .
@Echo . Server database name      : [ %dbname% ]
@Echo . Authorized user name      : [ %dbuser% ]
@Echo . Authorized user password  : [ %dbuserPW% ]
@Echo . Data Definition file      : [ %dbddl% ]
@Echo . Menu flag                 : [ %menuflag% ]
@Echo .
@Echo . Note: the database must be created ahead of time using Oracle tools.
@Echo .     : the Oracle user must be created ahead of time using Oracle tools.
@Echo .
@Echo . Ready to (re)create database table contents [ %dbname% ].
@Echo .
@Echo . WARNING:  All data in database tables specified in [%dbddl%] for
@Echo .           [ %dbname% ] will be destroyed.
@Echo .
pause
REM now we can execute

:skipmenu
@Echo on

REM ####################################################################
REM  if a column needs to be set to a larger size,
REM  simply edit the DDL file before running this script.
REM  
REM  note that VARCHAR2 have a maximum size of 4000 bytes, so to extend
REM  beyond that, you will have to switch to a different character type
REM  regenerate the backend and redeploya.
REM  see the Oracle SQL Reference.
REM ####################################################################

sqlplus %dbuser%/%dbuserPW%@%dbname% @%dbddl%

@echo off
goto alldone

:nodbname
@Echo .
@Echo . No database name was specified
@Echo .
goto usage

:nodbuser
@Echo .
@Echo . No database user was specified for database access.
@Echo .
goto usage

:nodbuserPW
@Echo .
@Echo . No database user password was specified for database access.
@Echo .
goto usage

:nodbddl
@Echo .
@Echo . No database data definition file was specified
@Echo .
goto usage

:nomenuflag
@Echo .
@Echo . No menu flag was specified
@Echo .
goto usage

:usage
@Echo .
@Echo . Usage:  crtsrvOra.cmd dbname dbuser dbuserPW ddl menuflag
@Echo .
@Echo . Where:  dbname     the database name
@Echo .                    Recommended value is WPS_DB
@Echo .         dbuser     the database userid of the authorized user
@Echo .                    Recommended value is wpsuser
@Echo .         dbuserPW   the database user password of the authorized user
@Echo .                    Recommended value is the password
@Echo .         ddl        the path to the database data definition language file
@Echo .                    Recommended value is the DDL file provided with the component
@Echo .         menuflag   Enables menu prompt and interactive processing.  TRUE will show the menu.
@Echo .

:alldone

endlocal

